Bug 1316306 - cmake-3.5.0-0.3.rc3 onwards places doc in separate package, breaking qt-creator cmake detection
cmake-3.5.0-0.3.rc3 onwards places doc in separate package, breaking qt-creat...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cmake (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Björn 'besser82' Esser
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 17:58 EST by Sandro Mani
Modified: 2016-04-10 09:25 EDT (History)
5 users (show)

See Also:
Fixed In Version: cmake-3.5.0-2.fc24 cmake-3.5.1-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-02 03:56:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2016-03-09 17:58:28 EST
Description of problem:
The cmake detection code in qt-creator at one stage executes

cmake --help-commands

see

https://github.com/danimo/qt-creator/blob/master/src/plugins/cmakeprojectmanager/cmaketool.cpp#L103

If that command does not return 0, qt-creator things that the cmake executable is invalid and skips it.

If the cmake-doc package is not installed, one gets

$ cmake --help-commands
Argument "cmake-commands.7" to --help-manual is not an available manual.  Use --help-manual-list to see all available manuals.
$ echo $?
1

This file is indeed in cmake-doc:

$ dnf repoquery -l cmake-doc | grep cmake-commands.7
/usr/share/doc/cmake/html/_sources/manual/cmake-commands.7.txt
/usr/share/doc/cmake/html/manual/cmake-commands.7.html
/usr/share/doc/cmake/rst/manual/cmake-commands.7.rst


NOTE: Not really sure what the best solution is here. I can see one of:

- Have the cmake main package require doc (would avoid the misleading "Argument "cmake-commands.7" to --help-manual is not an available manual" if -doc is not installed)

- Have qt-creator require cmake-doc (with proper comments in the spec, this should not be too bad)

- Patch qt-creator to make the cmake detection less fragile (not sure I want to carry a downstream patch for that though)

Opinions?

Version-Release number of selected component (if applicable):
cmake-3.5.0-0.3.rc3
Comment 1 Sandro Mani 2016-03-09 18:18:56 EST
Actually, just realized that I get

Argument "cmake-commands.7" to --help-manual is not an available manual.

even with cmake-doc-3.5.0-0.3.rc3 installed. Indeed, strace shows that cmake is looking for theat manual in

/usr/share/cmake/Help/manual/cmake-commands.7.rst

but the new packaging layout places the file in 

/usr/share/doc/cmake/rst/manual/cmake-commands.7.rst

So this needs to be fixed.
Comment 2 Orion Poplawski 2016-03-09 22:27:50 EST
Björn - Since you made these changes, I'll let you sort this out.  Thanks.
Comment 3 Björn 'besser82' Esser 2016-03-10 02:09:08 EST
(In reply to Orion Poplawski from comment #2)
> Björn - Since you made these changes, I'll let you sort this out.  Thanks.

Allrighty…  Will keep a copy of the Help-dir in %_datadir/cmake and pick it up with the -data sub-package;  that should fix the issue with `qt-creator` and other possible run-time related things.  Builds and new update are to come soon.
Comment 4 Fedora Update System 2016-03-10 03:52:18 EST
cmake-3.5.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-80e97f9e2e
Comment 5 Fedora Update System 2016-03-10 03:52:31 EST
cmake-3.5.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-80e97f9e2e
Comment 6 Fedora Update System 2016-03-10 04:52:23 EST
cmake-3.5.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-80e97f9e2e
Comment 7 Fedora Update System 2016-03-25 07:21:05 EDT
cmake-3.5.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3353070273
Comment 8 Fedora Update System 2016-03-25 07:39:46 EDT
cmake3-3.5.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1b4a2161de
Comment 9 Fedora Update System 2016-03-25 07:39:56 EDT
cmake3-3.5.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1b4a2161de
Comment 10 Fedora Update System 2016-03-25 07:41:17 EDT
cmake3-3.5.1-1.el6 jsoncpp-0.6.0-0.9.rc2.el6 libarchive3-3.1.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a82c466e38
Comment 11 Fedora Update System 2016-03-25 07:41:28 EDT
cmake3-3.5.1-1.el6 jsoncpp-0.6.0-0.9.rc2.el6 libarchive3-3.1.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a82c466e38
Comment 12 Fedora Update System 2016-03-25 16:27:12 EDT
cmake-3.5.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3353070273
Comment 13 Fedora Update System 2016-03-26 08:06:26 EDT
cmake-3.5.1-1.fc24 jsoncpp-1.7.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3353070273
Comment 14 Fedora Update System 2016-03-26 10:18:15 EDT
cmake3-3.5.1-1.el6, jsoncpp-0.10.5-1.el6, libarchive3-3.1.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a82c466e38
Comment 15 Fedora Update System 2016-03-26 10:19:18 EDT
cmake3-3.5.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1b4a2161de
Comment 16 Fedora Update System 2016-03-26 14:15:51 EDT
cmake-3.5.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-03-26 19:52:41 EDT
cmake-3.5.1-1.fc24, jsoncpp-1.7.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3353070273
Comment 18 Fedora Update System 2016-03-27 02:37:20 EDT
cmake-3.5.1-2.fc24 jsoncpp-1.7.2-1.fc24 orthanc-0.8.6-8.fc24 vfrnav-20160212-2.fc24 vtk-6.3.0-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3353070273
Comment 19 Fedora Update System 2016-03-27 17:50:37 EDT
cmake-3.5.1-2.fc24, engrid-2.0.0-0.12.gitbaef0ce.fc24, jsoncpp-1.7.2-1.fc24, orthanc-0.8.6-8.fc24, paraview-5.0.1-0.3.RC2.fc24, vfrnav-20160212-2.fc24, vtk-6.3.0-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3353070273
Comment 20 Fedora Update System 2016-03-28 03:45:21 EDT
cmake-3.5.1-2.fc24 engrid-2.0.0-0.12.gitbaef0ce.fc24 jsoncpp-1.7.2-1.fc24 mrpt-1.3.2-4.fc24 orthanc-0.8.6-8.fc24 paraview-5.0.1-0.3.RC2.fc24 pcl-1.8.0-0.3.rc1.fc24 vfrnav-20160212-2.fc24 vtk-6.3.0-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3353070273
Comment 21 Fedora Update System 2016-03-28 16:55:21 EDT
cmake-3.5.1-2.fc24, engrid-2.0.0-0.12.gitbaef0ce.fc24, jsoncpp-1.7.2-1.fc24, mrpt-1.3.2-4.fc24, orthanc-0.8.6-8.fc24, paraview-5.0.1-0.3.RC2.fc24, pcl-1.8.0-0.3.rc1.fc24, vfrnav-20160212-2.fc24, vtk-6.3.0-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3353070273
Comment 22 Fedora Update System 2016-03-29 04:03:26 EDT
cmake-3.5.1-2.fc24 engrid-2.0.0-0.12.gitbaef0ce.fc24 jsoncpp-1.7.2-1.fc24 kopete-15.12.3-2.fc24 minetest-0.4.13-5.fc24 mrpt-1.3.2-4.fc24 orthanc-0.8.6-8.fc24 paraview-5.0.1-0.3.RC2.fc24 passenger-5.0.26-2.fc24 pcl-1.8.0-0.3.rc1.fc24 vfrnav-20160212-2.fc24 vtk-6.3.0-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3353070273
Comment 23 Fedora Update System 2016-03-29 20:28:26 EDT
cmake-3.5.1-2.fc24, engrid-2.0.0-0.12.gitbaef0ce.fc24, jsoncpp-1.7.2-1.fc24, kopete-15.12.3-2.fc24, minetest-0.4.13-5.fc24, mrpt-1.3.2-4.fc24, orthanc-0.8.6-8.fc24, paraview-5.0.1-0.3.RC2.fc24, passenger-5.0.26-2.fc24, pcl-1.8.0-0.3.rc1.fc24, vfrnav-20160212-2.fc24, vtk-6.3.0-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3353070273
Comment 24 Fedora Update System 2016-04-02 03:55:59 EDT
cmake3-3.5.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2016-04-02 12:43:25 EDT
cmake-3.5.1-2.fc24, engrid-2.0.0-0.12.gitbaef0ce.fc24, jsoncpp-1.7.2-1.fc24, kopete-15.12.3-2.fc24, minetest-0.4.13-5.fc24, mrpt-1.3.2-4.fc24, orthanc-0.8.6-8.fc24, paraview-5.0.1-0.3.RC2.fc24, passenger-5.0.26-2.fc24, pcl-1.8.0-0.3.rc1.fc24, vfrnav-20160212-2.fc24, vtk-6.3.0-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2016-04-10 09:25:08 EDT
cmake3-3.5.1-1.el6, jsoncpp-0.10.5-1.el6, libarchive3-3.1.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.